Subject: remote-helpers: The lost verbosity level

From: Artur Skawina <[email-masked]>
Date: Mon, 06 Sep 2010 17:24:19 +0200

Tried turning on more debugging in my new remote-helper and was surprised by this:

$ git fetch -q swarm://address blah
I= "option verbosity 0"
$ git fetch swarm://address blah
I= "option verbosity 1"
$ git fetch -v swarm://address blah
I= "option verbosity 1"
$ git fetch -vv swarm://address blah
I= "option verbosity 3"
$ git fetch -vvv swarm://address blah
I= "option verbosity 4"
# etc 

$ git --version
git version 1.7.2.1

IOW the '-v' case is undetectable. Presumably an off-by-one check somewhere,
and not part of ABI cause some existing helper depends on this behavior? ;)

artur